opj_j2k_enc Struct Reference

`#include <j2k.h>`

## Data Fields

OPJ_UINT32 | m_current_poc_tile_part_number
| Tile part number, regardless of poc, for each new poc, tp is reset to 1.
OPJ_UINT32 | m_current_tile_part_number
| Tile part number currently coding, taking into account POC.
OPJ_BOOL | m_TLM
OPJ_BOOL | m_Ttlmi_is_byte
OPJ_OFF_T | m_tlm_start
| locate the start position of the TLM marker after encoding the tilepart, a jump (in j2k_write_sod) is done to the TLM marker to store the value of its length.
OPJ_BYTE * | m_tlm_sot_offsets_buffer
| Stores the sizes of the tlm.
OPJ_BYTE * | m_tlm_sot_offsets_current
| The current offset of the tlm buffer.
OPJ_UINT32 | m_total_tile_parts
| Total num of tile parts in whole image = num tiles* num tileparts in each tile.
OPJ_BYTE * | m_encoded_tile_data
OPJ_UINT32 | m_encoded_tile_size
OPJ_BYTE * | m_header_tile_data
OPJ_UINT32 | m_header_tile_data_size
OPJ_BOOL | m_PLT
OPJ_UINT32 | m_reserved_bytes_for_PLT
OPJ_UINT32 | m_nb_comps
| Number of components.

## Field Documentation

## m_current_poc_tile_part_number

OPJ_UINT32 opj_j2k_enc::m_current_poc_tile_part_number

Tile part number, regardless of poc, for each new poc, tp is reset to 1.

Referenced by opj_j2k_pre_write_tile(), opj_j2k_write_all_tile_parts(), opj_j2k_write_first_tile_part(), and opj_j2k_write_sod().

## m_current_tile_part_number

OPJ_UINT32 opj_j2k_enc::m_current_tile_part_number

Tile part number currently coding, taking into account POC.

m_current_tile_part_number holds the total number of tile parts while encoding the last tile part.

Referenced by opj_j2k_pre_write_tile(), opj_j2k_write_all_tile_parts(), opj_j2k_write_sod(), and opj_j2k_write_sot().

## m_encoded_tile_data

OPJ_BYTE* opj_j2k_enc::m_encoded_tile_data

Referenced by opj_j2k_destroy(), opj_j2k_end_encoding(), opj_j2k_post_write_tile(), and opj_j2k_update_rates().

## m_encoded_tile_size

OPJ_UINT32 opj_j2k_enc::m_encoded_tile_size

Referenced by opj_j2k_end_encoding(), opj_j2k_post_write_tile(), and opj_j2k_update_rates().

## m_header_tile_data

OPJ_BYTE* opj_j2k_enc::m_header_tile_data

Referenced by opj_j2k_create_compress(), opj_j2k_destroy(), opj_j2k_destroy_header_memory(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_cod(), opj_j2k_write_com(), opj_j2k_write_eoc(), opj_j2k_write_mcc_record(), opj_j2k_write_mco(), opj_j2k_write_mct_record(), opj_j2k_write_poc(), opj_j2k_write_qcc(), opj_j2k_write_qcd(), opj_j2k_write_rgn(), opj_j2k_write_siz(), opj_j2k_write_soc(), and opj_j2k_write_tlm().

## m_header_tile_data_size

OPJ_UINT32 opj_j2k_enc::m_header_tile_data_size

Referenced by opj_j2k_create_compress(), opj_j2k_destroy(), opj_j2k_destroy_header_memory(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_cod(), opj_j2k_write_com(), opj_j2k_write_mcc_record(), opj_j2k_write_mco(), opj_j2k_write_mct_record(), opj_j2k_write_poc(), opj_j2k_write_qcc(), opj_j2k_write_qcd(), opj_j2k_write_siz(), and opj_j2k_write_tlm().

## m_nb_comps

OPJ_UINT32 opj_j2k_enc::m_nb_comps

Number of components.

Referenced by opj_j2k_encoder_set_extra_options(), and opj_j2k_setup_encoder().

## m_PLT

OPJ_BOOL opj_j2k_enc::m_PLT

Referenced by opj_j2k_encoder_set_extra_options(), opj_j2k_get_specific_header_sizes(), and opj_j2k_write_sod().

## m_reserved_bytes_for_PLT

OPJ_UINT32 opj_j2k_enc::m_reserved_bytes_for_PLT

Referenced by opj_j2k_get_specific_header_sizes(), and opj_j2k_write_sod().

## m_TLM

OPJ_BOOL opj_j2k_enc::m_TLM

Referenced by opj_j2k_encoder_set_extra_options(), opj_j2k_setup_encoder(), opj_j2k_setup_end_compress(), opj_j2k_setup_header_writing(), opj_j2k_update_rates(), opj_j2k_write_all_tile_parts(), and opj_j2k_write_first_tile_part().

## m_tlm_sot_offsets_buffer

OPJ_BYTE* opj_j2k_enc::m_tlm_sot_offsets_buffer

Stores the sizes of the tlm.

Referenced by opj_j2k_destroy(), opj_j2k_end_encoding(), opj_j2k_update_rates(), and opj_j2k_write_updated_tlm().

## m_tlm_sot_offsets_current

OPJ_BYTE* opj_j2k_enc::m_tlm_sot_offsets_current

The current offset of the tlm buffer.

Referenced by opj_j2k_destroy(), opj_j2k_end_encoding(), opj_j2k_update_rates(), and opj_j2k_update_tlm().

## m_tlm_start

OPJ_OFF_T opj_j2k_enc::m_tlm_start

locate the start position of the TLM marker after encoding the tilepart, a jump (in j2k_write_sod) is done to the TLM marker to store the value of its length.

Referenced by opj_j2k_write_tlm(), and opj_j2k_write_updated_tlm().

## m_total_tile_parts

OPJ_UINT32 opj_j2k_enc::m_total_tile_parts

Total num of tile parts in whole image = num tiles* num tileparts in each tile.

used in TLMmarker

Referenced by opj_j2k_init_info(), opj_j2k_update_rates(), opj_j2k_write_tlm(), and opj_j2k_write_updated_tlm().

## m_Ttlmi_is_byte

OPJ_BOOL opj_j2k_enc::m_Ttlmi_is_byte

Referenced by opj_j2k_update_tlm(), opj_j2k_write_tlm(), and opj_j2k_write_updated_tlm().

The documentation for this struct was generated from the following file:

- j2k.h